Agent resources

List

List all resources attached to a specific agent.

GET /api/public/v1/agents/{agent_id}/resources

{agent_id} accepts either the ULID (cci_...) or the human-readable slug (the agent's agent_id field).

Example

curl -X GET https://api.nairi.ai/api/public/v1/agents/AGENT_ID/resources \
  -H "Authorization: Bearer $NAIRI_API_KEY"
const res = await fetch(
  `https://api.nairi.ai/api/public/v1/agents/${agentId}/resources`,
  {
    headers: {
      Authorization: `Bearer ${process.env.NAIRI_API_KEY}`,
    },
  },
);
const resources = (await res.json()) as Array<{
  id: string;
  entity_type: string;
  entity_id: string;
}>;
require "net/http"
require "json"
require "uri"

uri = URI("https://api.nairi.ai/api/public/v1/agents/#{agent_id}/resources")
req = Net::HTTP::Get.new(uri)
req["Authorization"] = "Bearer #{ENV['NAIRI_API_KEY']}"

res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |h| h.request(req) }
resources = JSON.parse(res.body)
import os
import requests

res = requests.get(
    f"https://api.nairi.ai/api/public/v1/agents/{agent_id}/resources",
    headers={"Authorization": f"Bearer {os.environ['NAIRI_API_KEY']}"},
)
resources = res.json()
package main

import (
	"encoding/json"
	"fmt"
	"io"
	"net/http"
	"os"
)

func main() {
	agentID := os.Getenv("AGENT_ID")
	req, _ := http.NewRequest(
		"GET",
		"https://api.nairi.ai/api/public/v1/agents/"+agentID+"/resources",
		nil,
	)
	req.Header.Set("Authorization", "Bearer "+os.Getenv("NAIRI_API_KEY"))
	res, _ := http.DefaultClient.Do(req)
	defer res.Body.Close()
	raw, _ := io.ReadAll(res.Body)
	var resources []map[string]any
	json.Unmarshal(raw, &resources)
	fmt.Println(resources)
}

Response

[
  {
    "id": "ccr_01KJW2VNGX7TA2Z077AF0N54TM",
    "container_id": "cci_01KEQ6963XS96YDP3NF9NKB7QJ",
    "entity_type": "anthropic_integration",
    "entity_id": "ai_01KJTC8VXB6YJHHV8ZRHQZ4A8G",
    "created_at": "2026-03-04T09:28:57.000Z"
  },
  {
    "id": "ccr_01KEQ697GDN6KA451XNH8T0YQ4",
    "container_id": "cci_01KEQ6963XS96YDP3NF9NKB7QJ",
    "entity_type": "llm_model",
    "entity_id": "opus-4.5",
    "created_at": "2026-01-11T18:49:48.000Z"
  }
]

On this page